Skip to main content
POST
/
api
/
link
Creates a new link between two entities.
curl --request POST \
  --url https://{install}/api/link \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "linkType": "<string>",
  "fromOwner": 123,
  "fromOwnerId": "<string>",
  "toOwner": 123,
  "toOwnerId": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "linkType": "<string>",
  "fromOwner": 123,
  "fromOwnerId": "<string>",
  "toOwner": 123,
  "toOwnerId": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The link to create, specifying link type, source, and target entities.

entity
null | string
fromOwner
integer
fromOwnerId
string
toOwner
integer
toOwnerId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The newly created link.

entity
null | string
fromOwner
integer
fromOwnerId
string
toOwner
integer
toOwnerId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean